repo/gentoo:master commit in: dev-ruby/actiontext/

"Sam James" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785973935.f2cab41b2b2e17708c7296a26206771ba5eb23d1.sam@gentoo>
commit:     f2cab41b2b2e17708c7296a26206771ba5eb23d1
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Tue Aug  4 09:35:24 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Aug  5 23:52:15 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2cab41b

dev-ruby/actiontext: add 8.0.5.1

Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/1622
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-ruby/actiontext/Manifest                  |  1 +
 dev-ruby/actiontext/actiontext-8.0.5.1.ebuild | 74 +++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/dev-ruby/actiontext/Manifest b/dev-ruby/actiontext/Manifest
index 857190aa265b..03192ce76ae0 100644
--- a/dev-ruby/actiontext/Manifest
+++ b/dev-ruby/actiontext/Manifest
@@ -2,5 +2,6 @@ DIST rails-7.1.5.1.tgz 10953261 BLAKE2B a2fc77cba86d2c9bd4171e7fbd280d41a0c3e9fb
 DIST rails-7.1.6.tgz 10960488 BLAKE2B 3f5d4c164110c2169a1ccd3ccf03914195b868fb07c8ce99addd7c97bf1210f3eb3c330a2a040b946aa07366d6c29b1a07c86d264964312ae0fc292c79921d53 SHA512 67c7b6520a160c6d5f769368d10f38df53301f39fad19b6b6a34edf0590bbe894047d4aec1bbf8bdef0e720128d966b275c9600e9e717c163d4b13a207af90f6
 DIST rails-7.2.3.tgz 11222967 BLAKE2B 408474d7ec82581cd7f3621bae861c23496f38b9cc987575243310bded91d306614d2f7c4e4b46e137f8135a56f69646251825f79f5388c24f53314557d73202 SHA512 7e1aea66cea0a545d82e27f562bd01e0619a4b007a2ee17a9e0ed89fc8883ddc38f581e094ede90dcbe5a497495f6fd0cde2c62a9f5c40d3b82c5b7711a3d48b
 DIST rails-8.0.4.tgz 11905714 BLAKE2B 3146be192bd6358018aad6b90e49b3102fcd20203cd7fb00672b75470ce3dca244bb5d2b51661ad0d9123471052b3920c05a33fe450e1109efaa368794bbfd04 SHA512 2b01a0abbe24b6f0ffcec10a3a14c50ab325a247832873363922bd3fa174ddbb26a045b6f8e6cff4fe5124d790990ecf5c256111085e5f64146d8b89734ed71c
+DIST rails-8.0.5.1.tgz 11920723 BLAKE2B 559554e12348cc5b12e9f8276786251e6f7b98c28967a88028c881d18c894f09765c5b1433e7e25c7dff75d4a45c11aa0924657fc66c1a986197843f110e769a SHA512 c433faf181b1dcd21286d98217765e2c735033b1ff9add941015bd9366cb89dcf749c92947e291e644e8df891bfb620aeeb096af93358c7db32abf58bb98d0aa
 DIST rails-8.1.2.tgz 13031832 BLAKE2B 85bde01384698e7556d53339435b94f884a0c385adafd5dbcda9183e4d6899f0817805426c35b464d4a98a7f91753936450c00fe06f5460e43a0439e79ef5694 SHA512 b46e6d728bdfa846eeaaf10cdda0b680760665f9f003bbad01b40ab3c4356115aadd7bd7d394297f294e3122852e9505acbe8e9cc3606cf2ef136600ae38b473
 DIST rails-8.1.3.1.tgz 13043572 BLAKE2B d2d1d0af5de2fec54e6ebb8f25db665a130f3ef7a7b38e169b7f7e047c164446fefe3eb751f5ad28dd81529d5db67ae6de9a41c5a51d7835e7454fdd747a8a18 SHA512 bf13225334706c092199e49e42f2d71dda9d33cbd57f4ff1c6069d38cd857c503cb54c7f3d4778cefa4cce9479104dbd7d893752913a28af71333daf7872d422

diff --git a/dev-ruby/actiontext/actiontext-8.0.5.1.ebuild b/dev-ruby/actiontext/actiontext-8.0.5.1.ebuild
new file mode 100644
index 000000000000..ed6690a8b30e
--- /dev/null
+++ b/dev-ruby/actiontext/actiontext-8.0.5.1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_EXTRAINSTALL="app db package.json"
+RUBY_FAKEGEM_GEMSPEC="actiontext.gemspec"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Edit and display rich text in Rails applications"
+HOMEPAGE="https://github.com/rails/rails"
+
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+RUBY_S="rails-${PV}/${PN}"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64"
+
+ruby_add_rdepend "
+	~dev-ruby/actionpack-${PV}
+	~dev-ruby/activerecord-${PV}
+	~dev-ruby/activestorage-${PV}
+	~dev-ruby/activesupport-${PV}
+	>=dev-ruby/globalid-0.6.0
+	>=dev-ruby/nokogiri-1.8.5
+"
+
+ruby_add_bdepend "
+	test? (
+		dev-ruby/bundler
+		>=dev-ruby/importmap-rails-1.2.3
+		dev-ruby/minitest:6
+		dev-ruby/minitest-mock
+		>=dev-ruby/propshaft-0.1.7
+		>=dev-ruby/sqlite3-2.1
+	)
+"
+
+all_ruby_prepare() {
+	# Replace Gemfile with something simpler for the test run
+	cat <<-EOF > ../Gemfile || die
+	source "https://rubygems.org"
+	gemspec
+
+	gem "rake"
+
+	gem "minitest", "~> 6.0"
+	gem "minitest-mock"
+
+	gem "importmap-rails", ">= 1.2.3"
+	gem "propshaft", ">= 0.1.7"
+	gem "sqlite3", ">= 2.1"
+	EOF
+	rm ../Gemfile.lock || die
+
+	# Avoid failing test depending on yarn
+	rm -f test/javascript_package_test.rb || die
+}
+
+each_ruby_prepare() {
+	sed -i -e 's:ruby:'${RUBY}':' test/dummy/bin/* || die
+}
+
+each_ruby_test() {
+	local -x SEED="2"
+	each_fakegem_test
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.